Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
child_info Struct Reference

## Data Fields
int | master
int | slave
char * | slavename
VALUE | execarg_obj
struct rb_execarg * | eargp

## Detailed Description

Definition at line 83 of file pty.c.

## Field Documentation

## ◆ eargp

struct rb_execarg* child_info::eargp

Definition at line 87 of file pty.c.

## ◆ execarg_obj

VALUE child_info::execarg_obj

Definition at line 86 of file pty.c.

## ◆ master

int child_info::master

Definition at line 84 of file pty.c.

## ◆ slave

int child_info::slave

Definition at line 84 of file pty.c.

## ◆ slavename

char* child_info::slavename

Definition at line 85 of file pty.c.

The documentation for this struct was generated from the following file:

- ext/pty/pty.c